Exception::getMessage
Exception::getCode
Exception
PHP Manual

# Exception::getPrevious

(PHP 5 >= 5.3.0)

Exception::getPrevious — Returns previous Exception

### 설명

final public Exception Exception::getPrevious ( void )

Returns previous Exception (the third parameter of Exception::__construct).

### 인수

이 함수는 인수가 없습니다.

### 반환값

Returns the previous Exception if available or `NULL` otherwise.

### 예제

Example #1 Exception::getPrevious example

Looping over, and printing out, exception trace.

`<?php
class MyCustomException extends Exception {}
function doStuff() {
try {
throw new InvalidArgumentException("You are doing it wrong!", 112);
} catch(Exception $e) {
throw new MyCustomException("Something happend", 911, $e);
}
}
try {
doStuff();
} catch(Exception $e) {
do {
printf("%s:%d %s (%d) [%s]\n", $e->getFile(), $e->getLine(), $e->getMessage(), $e->getCode(), get_class($e));
} while($e = $e->getPrevious());
}
?>`

위 예제의 출력 예시:

    /home/bjori/ex.php:8 Something happend (911) [MyCustomException]
    /home/bjori/ex.php:6 You are doing it wrong! (112) [InvalidArgumentException]

Exception::getMessage
Exception::getCode
Exception
PHP Manual